memory_info_t Struct Reference

target memory info More...

`#include <host_command.h>`

## Data Fields

bool | is_info_reday
uint32_t | flashStart
uint32_t | flashSize
uint32_t | ramStart
uint32_t | ramSize
uint32_t | reservedFlashStart
uint32_t | reservedFlashEnd
uint32_t | reservedRamStart
uint32_t | reservedRamEnd
uint32_t | blankFlashStart
uint32_t | blankFlashSize
uint32_t | blankRamStart
uint32_t | blankRamSize

## Detailed Description

target memory info

## Field Documentation

uint32_t blankFlashSize

uint32_t blankFlashStart

uint32_t blankRamSize

uint32_t blankRamStart

uint32_t flashSize

uint32_t flashStart

bool is_info_reday

uint32_t ramSize

uint32_t ramStart

uint32_t reservedFlashEnd

uint32_t reservedFlashStart

uint32_t reservedRamEnd

uint32_t reservedRamStart

The documentation for this struct was generated from the following file:

- host_command.h